[IPython-dev] [MayaVi-users] Updated build of trunk-dev available

Gael Varoquaux gael.varoquaux@normalesup....
Mon Jan 18 07:37:30 CST 2010


On Sun, Jan 17, 2010 at 12:39:22PM +0000, Michele Mattioni wrote:
>      Mmh, unfortunately I can't seem to run your script, because I get a
>      traceback:

>      In [2]: run qt_embedding.py
>      Warning: Unable to import the qt4 backend for pyface due to traceback:
>      Traceback (most recent call last):
>               File
>      "/usr/lib/python2.6/dist-packages/enthought/pyface/toolkit.py",
>      line 40, in _init_toolkit
>                 __import__(be + 'init')
>             ImportError: No module named qt4.init

>      Info: Unable to import any backend (qt4) for pyface; using the 'null'
>      toolkit instead.



>    Yes, the latest mayavi api for qt integration are only in the latest SVN
>    Enthought

I am a bit surprised. Fernando, could it be that you don't have the QT
backend installed for Traits? It will be named something like
'python-traitsbackendqt'.

Gaël


More information about the IPython-dev mailing list